#-
#:SmallSize 5000000
#:LargeSize 20000000
#:WorkSpace 50000000
#:MaxTermSize 300000
#:TermsInSmall 30000
off stats;
format 75;
auto s sM;
auto i iM;

s GS, MT, MT2, MH, MH2;
cf Den, Denom, dirM, pol, polc, SUNF, SUND, SUNSum, SUNT;
cf SpinorU, SpinorUb, SpinorV, SpinorVb;
cf mom, fslash;

d 4;

AutoDeclare I Dir=4, iM, Lor=4,ind;

Tensor Tr(cyclic),Tp,f(antisymmetric),ff(rcyclic), d(symmetric);
Function TM,TT;
Symbols a,nf,NF,NA,cF,cA,[cF-cA/6];
Dimension NA;
AutoDeclare  I j,Glu=NA;
Dimension NF;
AutoDeclare I i,Col=NF;

v k;
s m;
f g,g1,g2,dummy;
v g6,g7;

v k1,k2,k3,k4;

#define DoColor "0"

#include squareME.h


.global
*********************************************************
*    _                    _ _ _             _           *
*   / \   _ __ ___  _ __ | (_) |_ _   _  __| | ___  ___ *
*  / _ \ | '_ ` _ \| '_ \| | | __| | | |/ _` |/ _ \/ __|*
* / ___ \| | | | | | |_) | | | |_| |_| | (_| |  __/\__ \*
*/_/   \_\_| |_| |_| .__/|_|_|\__|\__,_|\__,_|\___||___/*
*                  |_|                                  *
*********************************************************
Local Diag1 =
+1*dirM(SpinorU(k1,MT),Dir1)*dirM(SpinorVb(k2,MT),Dir3)*dirM(SpinorUb(k3,0),Dir2)*dirM(SpinorV(k4,0),Dir4)*i_*GS*dirM(g(iM,Lor7),Dir3,Dir1)*SUNT(Glu7,Col3,Col1)*i_*GS*dirM(g(iM,Lor8),Dir2,Dir4)*SUNT(Glu8,Col2,Col4)*-i_*Den(-k1-k2,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1;

#$lomax = 8;
#$dimax = 4;
#call squareME(Amp,M1);
 .sort
L Result = M1;
.sort

Format nospaces;
#write <me.tT2qQ.txt> "%e",Result

ExtraSymbols,array,w;
Format O3;
*Print;
.sort

Format DOUBLEFORTRAN;
#optimize Result
#write <me.tT2qQ.f> "      FUNCTION me_tT2qQ(S, T, U, T14, T24, S34, MT, GS, NF)"
#write <me.tT2qQ.f> "      REAL*8 S, T, U, T14, T24, S34, MT, GS, NF"
#write <me.tT2qQ.f> "      REAL*8 me_tT2qQ"
#write <me.tT2qQ.f> "      REAL*8 w(`optimmaxvar_')"
#write <me.tT2qQ.f> "%O"
#write <me.tT2qQ.f> "      me_tT2qQ = %e",Result(me_tT2qQ)
#write <me.tT2qQ.f> "      RETURN"
#write <me.tT2qQ.f> "      END"
.sort

.end
